#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int a[200005];
int b[200005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,q;
    cin>>n>>q;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    for(int i=1;i<=q;i++){
        cin>>b[i];
    }
    for(int i=1;i<=q;i++){
        int h=0;
        int l=0;
        int e=0;
        int ans=0;
        for(int j=1;j<=n;j++){
            if(a[j]>b[i]){
                h++;
            }
            else if(a[j]<b[i]){
                l++;
            }
            else{
                e++;
            }
        }
        if(l>h){
            ans=l-h-e;
        }
        else if(l<h){
            ans=h-l-e-1;
        }
        cout<<ans<<endl;
    }
}